Bug 169393 - improper thumbnail update in gwenview
Summary: improper thumbnail update in gwenview
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-18 20:03 UTC by Michal Svoboda
Modified: 2012-10-19 13:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Svoboda 2008-08-18 20:03:22 UTC
Version:           KDE 4.1.62 (KDE 4.2 >= 20080814) (using Devel)
Compiler:          gcc version 4.3.1  
OS:                Linux
Installed from:    Compiled sources

1. browse into directory with more than one screenful of images

2. go to view mode (view pictures) , click through 'next' to the end of the directory

3. go back to browse mode - thumbnails don't load until you scroll the scrollbar a little bit
Comment 1 Michal Svoboda 2008-08-18 20:05:30 UTC
actually, now that i look at it, you don't even need more than a screenful of images, just don't let all the thumbnails load before going to view mode. the missing thumbnails don't load after switching back to browse mode.
Comment 2 Aurelien Gateau 2008-08-28 15:26:37 UTC
Fixed in trunk and backported to 4.1 branch. Will be in 4.1.2.
Comment 3 Michal Svoboda 2008-08-29 20:14:43 UTC
Hi, you might also look at a similar issue:

1. open a folder with many photos
2. switch to view mode
3. navigate to some distant photo
4. turn on thumbnail bar - it won't center on the current photo
Comment 4 Aurelien Gateau 2008-08-29 21:21:34 UTC
This is another bug. Fill another report. Reusing reports is bad practice.